$ErrorActionPreference = 'Stop';

$url = 'https://github.com/bitwarden/desktop/releases/download/v1.28.3/Bitwarden-Installer-1.28.3.exe'
$checksum = '6C2CD09A9E3BBC3B4BD3BB8E7C1ED6DF71E419A09B8894569B2BFE331D1C6EAD'

$packageArgs = @{
  packageName   = 'bitwarden'
  fileType      = 'EXE'
  softwareName  = 'Bitwarden'
  url           = $url
  checksum      = $checksum
  checksumType  = 'sha256'
  silentArgs    = '/S'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
